package me.km.networking;

import me.km.KajetansMod;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraftforge.fml.common.network.NetworkRegistry;
import net.minecraftforge.fml.common.network.simpleimpl.SimpleNetworkWrapper;
import net.minecraftforge.fml.relauncher.Side;

public class ModPacketHandler 
{
    public static final SimpleNetworkWrapper INSTANCE = NetworkRegistry.INSTANCE.newSimpleChannel(KajetansMod.MODID);
    
    private static int id = 0;
    
    public static void init()
    {
        INSTANCE.registerMessage(PlayerDisplay.Handler.class, PlayerDisplay.class, id++, Side.CLIENT);
        INSTANCE.registerMessage(FunctionKey.Handler.class, FunctionKey.class, id++, Side.SERVER);
    }
    
    public static void sendStats(EntityPlayerMP p, int action, int index, String text)
    {
        INSTANCE.sendTo(new PlayerDisplay(action, index, text), p);
    }
    
    public static void sendFunctionKey(int key)
    {
        INSTANCE.sendToServer(new FunctionKey(key));
    }
}
